列出 Memory Version
curl --request GET \
--url https://agent-api.bigmodel.cn/api/agent/managed/v1/memory_stores/{storeId}/memory_versions \
--header 'Authorization: Bearer <token>' \
--header 'zai-beta: <zai-beta>' \
--header 'zai-version: <zai-version>'import requests
url = "https://agent-api.bigmodel.cn/api/agent/managed/v1/memory_stores/{storeId}/memory_versions"
headers = {
"zai-version": "<zai-version>",
"zai-beta": "<zai-beta>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'zai-version': '<zai-version>',
'zai-beta': '<zai-beta>',
Authorization: 'Bearer <token>'
}
};
fetch('https://agent-api.bigmodel.cn/api/agent/managed/v1/memory_stores/{storeId}/memory_versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://agent-api.bigmodel.cn/api/agent/managed/v1/memory_stores/{storeId}/memory_versions")
.header("zai-version", "<zai-version>")
.header("zai-beta", "<zai-beta>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://agent-api.bigmodel.cn/api/agent/managed/v1/memory_stores/{storeId}/memory_versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("zai-version", "<zai-version>")
req.Header.Add("zai-beta", "<zai-beta>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-api.bigmodel.cn/api/agent/managed/v1/memory_stores/{storeId}/memory_versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"zai-beta: <zai-beta>",
"zai-version: <zai-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "<string>",
"type": "memory_version",
"memory_store_id": "<string>",
"memory_id": "<string>",
"operation": "created",
"path": "<string>",
"content_sha256": "<string>",
"content_size_bytes": 123,
"content": "<string>",
"created_by": {
"type": "session_actor",
"session_id": "<string>"
},
"redacted_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"redacted_by": {
"type": "session_actor",
"session_id": "<string>"
}
}
],
"next_page": "<string>"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"details": {}
},
"request_id": "req_01J..."
}Memory
列出 Memory Version
分页列出指定 Memory Store 的版本历史,包括创建、更新、删除和脱敏产生的版本。点击 Try it 按钮可快速试用。
GET
/
agent
/
managed
/
v1
/
memory_stores
/
{storeId}
/
memory_versions
列出 Memory Version
Headers
Managed Agents API 协议版本,固定为 2026-05-26。
Available options:
2026-05-26 Example:
"2026-05-26"
必须包含 managed-agents-2026-05-26;可与其他 beta 标识用逗号分隔。
Example:
"managed-agents-2026-05-26"
Path Parameters
storeId 资源标识。
Query Parameters
SDK 兼容参数;提供时必须为 true。
Available options:
true 按 Memory ID 过滤。
按版本操作过滤。
Available options:
created, modified, deleted 创建时间下界。
创建时间上界。
返回基本信息或完整内容。
Available options:
basic, full opaque cursor。
每页数量;view=full 时最多 20。
Required range:
1 <= x <= 100Was this page helpful?